Create an application-funded ephemeral goal
curl --request POST \
--url https://api.darwin.so/api/v1/applications/{applicationId}/ephemeral-goals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"externalUserReference": "<string>",
"intent": "<string>",
"targeting": {},
"budget": {}
}
'import requests
url = "https://api.darwin.so/api/v1/applications/{applicationId}/ephemeral-goals"
payload = {
"externalUserReference": "<string>",
"intent": "<string>",
"targeting": {},
"budget": {}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
externalUserReference: '<string>',
intent: '<string>',
targeting: {},
budget: {}
})
};
fetch('https://api.darwin.so/api/v1/applications/{applicationId}/ephemeral-goals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goal": {
"id": "<string>",
"goalId": "<string>",
"externalUserReference": "<string>",
"accountablePrincipal": {
"type": "application",
"applicationId": "<string>"
},
"intent": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"castAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Connect API · Ephemeral Goals
Create an application-funded ephemeral goal
Creates a pseudonymous goal without first creating a Darwin agent for the external user. The application remains the accountable principal.
POST
/
applications
/
{applicationId}
/
ephemeral-goals
Create an application-funded ephemeral goal
Authorizations
Darwin API keys begin with darwin_ and are created in Developer settings.
Headers
A caller-generated key, unique to this operation and payload.
Required string length:
1 - 200Path Parameters
Body
application/json
Required string length:
1 - 500The workflow view for shared Darwin work resources.
Available options:
BUY, SELL, CHAT Required string length:
1 - 20000Maximum string length:
160Response
The new ephemeral goal.
Show child attributes
Show child attributes
⌘I